Subject: Re: bug#2289: wishlist with fix: losing X-windows clipboard

From: Chong Yidong <[email-masked]>
Date: Wed, 05 Oct 2011 18:18:47 -0400

Glenn Morris <[email-masked]> writes:

>> Copy text in Firefox.  Run a kill command (e.g. kill-region) in
>> emacs.  Run yank.  Run yank-pop.  Note that the text copied in
>> Firefox is nowhere to be found.
>
> This issue still seems to be present, despite the selection-related
> changes in Emacs 24.

Actually, it was fixed in 23.2.  The behavior desired by the OP can now
be obtained by setting save-interprogram-paste-before-kill to t.
Closing.